#2194 Cancel doesn't always work

v3.6
closed
burn (480)
2014-04-18
2010-07-23
Zhenya Ross
No

Cancel during install/uninstall/repair doesn't work correctly all the time.
Here is a log snippet from a failed cancel that left the ARP registry info for the bundle on the machine.

[1E84:1454][2010-07-22T23:11:38.142-08:00]: Apply begin
[1D34:1150][2010-07-22T23:11:38.212-08:00]: Caching executable from: C:\wdk_dx\sdktools\kits\bootstrapper\unittests\runtests\cancelbundle.exe to: C:\ProgramData\Package Cache{d4254805-43f5-4fd6-a57c-1ea0c5e69dd9}\CancelBundle.exe
[1E84:1454][2010-07-22T23:11:38.239-08:00]: Error 0x80070642: UX aborted cache copy payload begin.
[1E84:1454][2010-07-22T23:11:38.239-08:00]: Error 0x80070642: Failed to copy payload.
[1E84:1454][2010-07-22T23:11:38.239-08:00]: Error 0x80070642: Failed to acquire payload.
[1E84:1454][2010-07-22T23:11:38.240-08:00]: Error 0x80070642: Failed to cache packages.
[1E84:1454][2010-07-22T23:11:38.243-08:00]: Completed apply with status -2147023294 and restart request None
[1E84:0478][2010-07-22T23:11:38.492-08:00]: View is requesting shutdown
[1E84:1454][2010-07-22T23:11:38.492-08:00]: Apply complete, result: 0x80070642 restart: No

Discussion

  • Zhenya Ross

    Zhenya Ross - 2010-08-08

    Some additional repro steps about cancel not always working from my tester:

    1) Rollback in installation

    1.1) Invoke setup bundle in full UI
    1.2) Accept EULA. Select all options to install and click Install button. Progress page will be displayed.
    1.3) Click "Cancel" on progress page. Confirmation dialog is displayed for cancel. Click "Yes" on cancel dialog
    1.4) Finish page will be displayed wit title "Installation is aborted".

    Verify:
    a) ARP entry is not created
    b) Root kit install directory (c:\program files\windows kits) is not created

    Actual:
    a) Root kit directory is created (which should not).

    2) Rollback in Repair

    1.1) First install complete kit.
    1.2) Delete one file from each option directory.
    1.2) Invoke setup bundle in full UI with /Repair switch
    1.3) Click "Cancel" button on progress page.
    1.4) Click "Yes" button on cancel setup dialog.

    Verify:
    a) None of the deleted files (step 1.2) should be restored back.

    Actual:
    a) Few deleted files are restored back. It is like half way repaired

     
  • Rob Mensching

    Rob Mensching - 2011-01-14

    ARP should now be removed when caching is canceled.

     
  • SourceForge Robot

    This Tracker item was closed automatically by the system. It was
    previously set to a Pending status, and the original submitter
    did not respond within 14 days (the time period specified by
    the administrator of this Tracker).

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks